Loading...
Searching...
No Matches
nc4attr.c File Reference
`#include "nc.h"`
`#include "nc4internal.h"`
`#include "nc4dispatch.h"`
`#include "ncdispatch.h"`
Include dependency graph for nc4attr.c:

Go to the source code of this file.

## Functions

int | NC4_get_att (int ncid, int varid, const char *name, void *value, nc_type memtype)
int | nc4_get_att (int ncid, int varid, const char *name, nc_type *xtype, nc_type mem_type, size_t *lenp, int *attnum, void *data)
int | nc4_get_att_ptrs (NC_FILE_INFO_T *h5, NC_GRP_INFO_T *grp, NC_VAR_INFO_T *var, const char *name, nc_type *xtype, nc_type mem_type, size_t *lenp, int *attnum, void *data)
int | NC4_inq_att (int ncid, int varid, const char *name, nc_type *xtypep, size_t *lenp)
int | NC4_inq_attid (int ncid, int varid, const char *name, int *attnump)
int | NC4_inq_attname (int ncid, int varid, int attnum, char *name)

## Function Documentation

## NC4_get_att()

int NC4_get_att | ( | int | ncid,
|  | int | varid,
|  | const char * | name,
|  | void * | value,
|  | nc_type | memtype )

Definition at line 301 of file nc4attr.c.

## nc4_get_att()

int nc4_get_att | ( | int | ncid,
|  | int | varid,
|  | const char * | name,
|  | nc_type * | xtype,
|  | nc_type | mem_type,
|  | size_t * | lenp,
|  | int * | attnum,
|  | void * | data )

Definition at line 178 of file nc4attr.c.

## nc4_get_att_ptrs()

int nc4_get_att_ptrs | ( | NC_FILE_INFO_T * | h5,
|  | NC_GRP_INFO_T * | grp,
|  | NC_VAR_INFO_T * | var,
|  | const char * | name,
|  | nc_type * | xtype,
|  | nc_type | mem_type,
|  | size_t * | lenp,
|  | int * | attnum,
|  | void * | data )

Definition at line 47 of file nc4attr.c.

## NC4_inq_att()

int NC4_inq_att | ( | int | ncid,
|  | int | varid,
|  | const char * | name,
|  | nc_type * | xtypep,
|  | size_t * | lenp )

Definition at line 230 of file nc4attr.c.

## NC4_inq_attid()

int NC4_inq_attid | ( | int | ncid,
|  | int | varid,
|  | const char * | name,
|  | int * | attnump )

Definition at line 249 of file nc4attr.c.

## NC4_inq_attname()

int NC4_inq_attname | ( | int | ncid,
|  | int | varid,
|  | int | attnum,
|  | char * | name )

Definition at line 268 of file nc4attr.c.